Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77511 - kernel source won't compile
Summary: kernel source won't compile
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-08 07:49 UTC by Colin Adams
Modified: 2007-04-18 16:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-11-08 09:01:26 UTC


Attachments (Terms of Use)

Description Colin Adams 2002-11-08 07:49:53 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
kernel-sources 2.4.18-17.8.0 won't compile.
If I do a make oldconfig, then the error is different from after doing a make
xconfig.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.compile kernel
2.
3.
	

Actual Results:  Various errors, depending on the config.

Expected Results:  clean compile

Additional info:

Comment 1 Arjan van de Ven 2002-11-08 09:00:22 UTC
did you start with a make mrproper ?

Comment 2 Leonid Mamtchenkov 2002-11-08 09:01:20 UTC
Try do the following:
1. Change into kernel directory
cd /usr/src/linux-2.4
2. Save your config somewhere:
cp .config /root/.config-backup
3. Make a proper cleaning of the kernel directory:
make mrproper
4. Restore your config:
cp /root/.config-backup .
5. Perform all the step necessary for kernel compilation:
make menuconfig && make dep && make clean && make bzImage && make modules



Comment 3 Colin Adams 2002-11-09 23:30:15 UTC
OK, make mrproper did the trick.
Thanks.


Note You need to log in before you can comment on or make changes to this bug.